<?php
/*
 * $Horde: turba/addobject.php,v 1.7.2.2 2002/01/02 17:05:45 jan Exp $
 *
 * Turba: Copyright 2000-2002 Charles J. Hagenbuch <chuck@horde.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

define('TURBA_BASE', dirname(__FILE__));
require_once TURBA_BASE . '/lib/base.php';
require_once TURBA_BASE . '/lib/Source.php';
require_once TURBA_BASE . '/lib/ObjectView.php';
require_once TURBA_BASE . '/lib/AbstractObject.php';
require TURBA_BASE . '/config/sources.php';

$title = _("Add a new contact");
require $registry->getTemplatePath() . '/common-header.inc';
require TURBA_BASE . '/menu.php';

$source = Horde::getFormData('source');
if ($source == null || !isset($cfgSources[$source])) {
    $options = '';
    $count = 0;
    foreach ($cfgSources as $key => $curSource) {
	if (empty($curSource['readonly'])) {
	    $options .= '<option value="' . $key . '">' . $curSource['title'] . '</option>';
	    $source = $key;
	    $count++;
	}
    }
} else {
    $count = 1;
}

if ($count == 0) {
    include $registry->getTemplatePath() . '/add/noadd.inc';
} elseif ($count == 1) {
    $driver = Turba_Source::factory($source, $cfgSources[$source]);
    if (PEAR::isError($driver)) {
        Horde::raiseMessage(_("Failed to connect to the specified directory."), HORDE_ERROR);
        include TURBA_BASE . '/status.php';
    } else {
        $object = new Turba_AbstractObject($driver);
        $view = new Turba_ObjectView($object, $registry->getTemplatePath() . '/add/add.inc');
        $view->display();
    }
} else {
    include $registry->getTemplatePath() . '/add/select.inc';
}

require $registry->getTemplatePath() . '/common-footer.inc';

?>
