<?php
/*
 * $Horde: turba/advanced.php,v 1.15.2.2 2002/01/02 17:05:46 jan Exp $
 *
 * Turba: Copyright 2000-2002 Charles J. Hagenbuch <chuck@horde.org>
 *        Copyright 2000-2002 Alcove, Christian Couder <christian@alcove.fr>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

define('TURBA_BASE', dirname(__FILE__));
require_once TURBA_BASE . '/lib/base.php';
require_once TURBA_BASE . '/lib/Source.php';
require TURBA_BASE . '/config/sources.php';
require TURBA_BASE . '/config/attributes.php';

$title = _("Advanced Directory Search");
require $registry->getTemplatePath() . '/common-header.inc';

/* run search if there is one */
$source = Horde::getFormData('source');
if (!isset($source) && isset($cfgSources) && is_array($cfgSources) && count($cfgSources) > 0) {
    reset($cfgSources);
    $source = key($cfgSources);
}

/* Build the directory sources select widget. */
if (count($cfgSources) > 1) {
    $source_options = "<tr>\n<td class=\"light\" align=\"right\"><b>" . _("Directory") . "</b></td>\n";
    $source_options .= "<td class=\"item\">\n";
    $source_options .= "<select name=\"source\" onchange=\"dirsearch.submit()\">\n";
    foreach ($cfgSources as $key => $entry) {
        $selection = (isset($source) && $source == $key) ? ' selected="selected"' : '';
        $source_options .= "<option value=\"$key\"$selection>";
        $source_options .= $entry['title'] . "</option>\n";
    }
    $source_options .= "</select>\n</td>\n</tr>\n";
} else {
    $source_options = '<input type="hidden" name="source" value="';
    reset($cfgSources);
    $source_options .= key($cfgSources);
    $source_options .= "\" />\n";
}

$driver = Turba_Source::factory($source, $cfgSources[$source]);
if (PEAR::isError($driver)) {
    Horde::raiseMessage(_("Failed to connect to the specified directory."), HORDE_ERROR);
    $map = array();
} else {
    $map = $driver->getCriteria();
    
    $criteria = array();
    foreach ($map as $key => $value) {
        if ($key != '__key') {
            $val = Horde::getFormData($key);
            if (!empty($val)) {
                $criteria[$key] = $val;
            }
        }
    }
    
    if (count($criteria)) {
        $newaddresses = $driver->search($criteria, LASTNAME);
    }
}

// has to be after for wap
require TURBA_BASE . '/menu.php';
require TURBA_BASE . '/status.php';
require $registry->getTemplatePath() . '/advanced/head.inc';

foreach ($map as $name => $v) {
    if ($name != '__owner') {
        include $registry->getTemplatePath() . '/advanced/criteria.inc';
    }
}

if ($registry->registry['mail']['compose'] == 'imp') {
    $compose_url = 'javascript:open_compose_win(compose());';
} else {
    $compose_url = 'javascript:get_mailto();';
}
require $registry->getTemplatePath() . '/advanced/results_head.inc';

if (empty($clear)) {
    
    $addresses = Horde::getFormData('addresses');
    if (isset($addresses) && is_array($addresses)) {
        for ($i = 0; $i < count($addresses); $i++) {
            $address = unserialize(base64_decode($addresses[$i]));
            if (is_array($address) && sizeof($address > 1)) {
                $displayed[$address['name'] . $address['email']] = 1;
                include $registry->getTemplatePath() . '/search/oldrow.inc';
            }
        }
    }
    
    if (isset($newaddresses) && is_object($newaddresses)) {
        include_once './lib/ListView.php';
        $display = new Turba_ListView($newaddresses, $registry->getTemplatePath() . '/search/row.inc');
        $display->display();
    }
}

require $registry->getTemplatePath() . '/advanced/foot.inc';

if (!$browser->hasFeature('wml')) $registry->shutdown();

require $registry->getTemplatePath() . '/common-footer.inc';

?>
