<?php
/*
 * $Horde: turba/search.php,v 1.47.2.2 2002/01/02 17:05:51 jan Exp $
 *
 * Turba: Copyright 2000-2002 Charles J. Hagenbuch <chuck@horde.org>
 *
 * You should have received a copy of the GNU Public
 * License along with this package; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

function wapFormat($phoneNumber)
{
    $phoneNumber = preg_replace('|[ .()-]|', '', $phoneNumber);
    $phoneNumber = preg_replace('|ext(.)*|', '', $phoneNumber);
    
    return $phoneNumber;
}

define('TURBA_BASE', dirname(__FILE__));
require_once TURBA_BASE . '/lib/base.php';
require_once TURBA_BASE . '/lib/Source.php';
require TURBA_BASE . '/config/sources.php';
require TURBA_BASE . '/config/attributes.php';

if ($registry->registry['mail']['compose'] == 'imp') {
    $compose_url = 'javascript:open_compose_win(compose());';
} else {
    $compose_url = 'javascript:get_mailto();';
}

if ($browser->hasFeature('wml')) {
    $registry->applications['turba']['templates'] .= '/wml';
}
$title = _("Directory Search");
require $registry->getTemplatePath() . '/common-header.inc';

/* run search if there is one */
$source = Horde::getFormData('source');
if (!isset($source) && isset($cfgSources) && is_array($cfgSources) && count($cfgSources) > 0) {
    reset($cfgSources);
    $source = key($cfgSources);
}

$criteria = Horde::getFormData('criteria');
$val = Horde::getFormData('val');
if (isset($criteria) && isset($val)) {
    $driver = Turba_Source::factory($source, $cfgSources[$source]);
    if (PEAR::isError($driver)) {
        Horde::raiseMessage(_("Failed to connect to the specified directory."), HORDE_ERROR);
    } else {
        if (!is_object($newaddresses = $driver->search(array($criteria => $val), LASTNAME))) {
            Horde::raiseMessage(sprintf(_("Failed to search the directory: %s"), ''), HORDE_ERROR);
        }
    }
}

/* Build the directory sources select widget. */
$source_options = '';
$criteria_options = '';
$js_criteria = "var criteriaOptions = new Array();\n";
$source_count = 0;
foreach ($cfgSources as $key => $entry) {
    
    $js_criteria .= "criteriaOptions[$source_count] = new Array()\n";
    $js_criteria .= "criteriaOptions[$source_count][0] = '$key';\n";
    
    /* Build the criteria select widget. */
    $field_count = 1;
    foreach ($entry['search'] as $field) {
        $js_criteria .= "criteriaOptions[$source_count][$field_count] = new Array('$field', '" . $attributes[$field]['desc'] . "');\n";
        if ($key == $source) {
            $selected = ($field == $criteria) ? ' selected="selected"' : '';
            $criteria_options .= "<option value=\"$field\"$selected>";
            $criteria_options .= $attributes[$field]['desc'] . "</option>\n";
        }
        $field_count++;
    }
    
    $selected = ($key == $source) ? ' selected="selected"' : '';
    $source_options .= "<option value=\"$key\"$selected>";
    $source_options .= $entry['title'] . "</option>\n";
    
    $source_count++;
}

// Has to be after the search for WAP. Also allows us to raise errors
// during the search and have status.php display them.
require TURBA_BASE . '/menu.php';
require TURBA_BASE . '/status.php';
require $registry->getTemplatePath() . '/search/head.inc';

$numDisplayed = 0;
if (empty($HTTP_GET_VARS['clear'])) {
    
    $addresses = Horde::getFormData('addresses');
    if (isset($addresses) && is_array($addresses)) {
        for ($i = 0; $i < count($addresses); $i++) {
            $address = unserialize(base64_decode($addresses[$i]));
            if (is_array($address) && sizeof($address > 1)) {
                $displayed[$address['name'] . $address['email']] = 1;
                include $registry->getTemplatePath() . '/search/oldrow.inc';
            }
        }
    }
    
    if (isset($newaddresses) && is_object($newaddresses)) {
        include_once './lib/ListView.php';
        $display = new Turba_ListView($newaddresses, $registry->getTemplatePath() . '/search/row.inc');
        $numDisplayed = $display->display();
    }
}

require $registry->getTemplatePath() . '/search/foot.inc';

if (!$browser->hasFeature('wml')) $registry->shutdown();

require $registry->getTemplatePath() . '/common-footer.inc';

?>
